/// <reference types="react" />
import { NerdAppBarContent, NerdAppBarProps } from ".";
/**
 * @component
 * @param {string} title title of the app
 * @param {string} logo Logo of the app
 * @param {string} variant Size of the appBar (dense or regular)
 * @param {Array<NerdAppBarContent | JSX.Element>} content Height of the appbar. Could be dense or regular.
 * @returns {JsxElement} UserDisplay component
 */
export declare function NerdAppBar({ title, logo, content, variant, }: NerdAppBarProps): JSX.Element;
/**
 * @param {NerdAppBarContent} c Content of the menu item
 * @returns {JSX.Element} the menu
 **/
export declare function NerdAppBarMenuItem(c: NerdAppBarContent): JSX.Element;
